local Carlin = LibStub("AceAddon-3.0"):NewAddon("Carlin", "AceEvent-3.0")

local strCVarName = "profanityFilter"
local strOutput = "Carlin does not approve of censorship; setting the mature language filter to disabled"

local function CheckCVar(event, ...)
	if (GetCVarBool(strCVarName)) then
		-- print(event, strOutput)
		SetCVar(strCVarName, 0);
	end
end

-- Called when the addon is loaded
function Carlin:OnInitialize()
end

-- Called when the addon is enabled
function Carlin:OnEnable()
	self:RegisterEvent("CVAR_UPDATE", CheckCVar)
	CheckCVar("OnEnable")
end

-- Called when the addon is Disabled
function Carlin:OnDisable()
	self:UnregisterEvent("CVAR_UPDATE")
end

